#! /bin/sh
# This is the configure script for Voluntocracy software projects,
# hosted at "http://people.csail.mit.edu/jaffer".  Parts are taken
# from a configure script generated by GNU Autoconf 2.63.
#
# Copyright (C) 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001,
# 2002, 2003, 2004, 2005, 2006, 2007, 2008 Free Software Foundation, Inc.
# This configure script is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.
#
# I place the rest in the public domain.
# Author: Aubrey Jaffer (2010)

# The "config.status" produced by this script differs from GNU
# conventions in that the value of every *dir variable has a trailing
# slash (/).

# Extract the PACKAGE_NAME, PACKAGE_TARNAME, and PACKAGE_VERSION from
# "version.txi", which is built by the project Makefile.
if test ! -f version.txi; then
    make version.txi
fi
version_txi=`cat version.txi | sed 1q`
mywd=`pwd`

PACKAGE_NAME=`expr "X$version_txi" : 'X@set \([A-Z]*\)VERSION .*' | tr '[A-Z]' '[a-z]'`
PACKAGE_TARNAME=`expr "X$mywd" : '.*/\([A-Za-z]*\)'`
if echo "$PACKAGE_TARNAME" | grep -iq "$PACKAGE_NAME"; then
    if ! echo "$PACKAGE_NAME" | grep -iq "$PACKAGE_TARNAME"; then
	PACKAGE_TARNAME=$PACKAGE_NAME
    fi
fi
PACKAGE_VERSION=`expr "X$version_txi" : '.*VERSION \([0-9a-z]*\)'`
PACKAGE_STRING="$PACKAGE_TARNAME $PACKAGE_VERSION"
PACKAGE_BUGREPORT="$PACKAGE_TARNAME-discuss@gnu.org"

CONFIG_STATUS="config.status"
ac_default_prefix=/usr/local/
ac_init_version=false
srcdir=`pwd`
silent=
no_create=

# Installation directory options.
# These are left unexpanded so users can "make install exec_prefix=/foo"
# and all the variables that are supposed to be based on exec_prefix
# by default will actually change.
# Use braces instead of parens because sh, perl, etc. also accept them.
# (The list follows the same order as the GNU Coding Standards.)
prefix=$ac_default_prefix
exec_prefix='${prefix}'
bindir='${exec_prefix}bin/'
sbindir='${exec_prefix}sbin/'
libexecdir='${exec_prefix}libexec/'
datarootdir='${prefix}share/'
datadir='${datarootdir}'
sysconfdir='${prefix}etc/'
sharedstatedir='${prefix}com/'
localstatedir='${prefix}var/'
includedir='${prefix}include/'
oldincludedir='/usr/include/'
docdir='${datarootdir}doc/${PACKAGE_TARNAME}/'
infodir='${datarootdir}info/'
htmldir='${docdir}'
dvidir='${docdir}'
pdfdir='${docdir}'
psdir='${docdir}'
libdir='${exec_prefix}lib/'
localedir='${datarootdir}locale/'
mandir='${datarootdir}man/'
snapdir='${srcdir}'
distdir='${srcdir}'

ac_subst_vars='PACKAGE_NAME
PACKAGE_TARNAME
PACKAGE_VERSION
PACKAGE_STRING
PACKAGE_BUGREPORT
srcdir
prefix
exec_prefix
bindir
sbindir
libexecdir
datarootdir
datadir
sysconfdir
sharedstatedir
localstatedir
includedir
oldincludedir
docdir
infodir
htmldir
dvidir
pdfdir
psdir
libdir
localedir
mandir
distdir
snapdir'

ac_prev=
ac_dashdash=
for ac_option
do
  # If the previous option needs an argument, assign it.
  if test -n "$ac_prev"; then
    eval $ac_prev=\$ac_option
    ac_prev=
    continue
  fi

  case $ac_option in
  *=*)	ac_optarg=`expr "X$ac_option" : '[^=]*=\(.*\)'` ;;
  *)	ac_optarg=yes ;;
  esac

  # Accept the important Cygnus configure options, so we can diagnose typos.

  case $ac_dashdash$ac_option in
  # Handling of the options.
  -version | --version | -V)
    ac_init_version=: ;;

  -bindir | --bindir)
    ac_prev=bindir ;;
  -bindir=* | --bindir=*)
    bindir=$ac_optarg ;;

  -datadir | --datadir)
    ac_prev=datadir ;;
  -datadir=* | --datadir=*)
    datadir=$ac_optarg ;;

  -datarootdir | --datarootdir)
    ac_prev=datarootdir ;;
  -datarootdir=* | --datarootdir=*)
    datarootdir=$ac_optarg ;;

  -distdir | --distdir)
    ac_prev=distdir ;;
  -distdir=* | --distdir=*)
    distdir=$ac_optarg ;;

  -docdir | --docdir)
    ac_prev=docdir ;;
  -docdir=* | --docdir=*)
    docdir=$ac_optarg ;;

  -dvidir | --dvidir)
    ac_prev=dvidir ;;
  -dvidir=* | --dvidir=*)
    dvidir=$ac_optarg ;;

  -exec-prefix | --exec_prefix | --exec-prefix | -exec_prefix)
    ac_prev=exec_prefix ;;
  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | -exec_prefix=*)
    exec_prefix=$ac_optarg ;;

  -help | --help | --hel | --he | -h)
    ac_init_help=long ;;

  -htmldir | --htmldir)
    ac_prev=htmldir ;;
  -htmldir=* | --htmldir=*)
    htmldir=$ac_optarg ;;

  -includedir | --includedir)
    ac_prev=includedir ;;
  -includedir=* | --includedir=*)
    includedir=$ac_optarg ;;

  -infodir | --infodir)
    ac_prev=infodir ;;
  -infodir=* | --infodir=*)
    infodir=$ac_optarg ;;

  -libdir | --libdir)
    ac_prev=libdir ;;
  -libdir=* | --libdir=*)
    libdir=$ac_optarg ;;

  -libexecdir | --libexecdir)
    ac_prev=libexecdir ;;
  -libexecdir=* | --libexecdir=*)
    libexecdir=$ac_optarg ;;

  -localedir | --localedir)
    ac_prev=localedir ;;
  -localedir=* | --localedir=*)
    localedir=$ac_optarg ;;

  -localstatedir | --localstatedir)
    ac_prev=localstatedir ;;
  -localstatedir=* | --localstatedir=*)
    localstatedir=$ac_optarg ;;

  -mandir | --mandir)
    ac_prev=mandir ;;
  -mandir=* | --mandir=*)
    mandir=$ac_optarg ;;

  -no-create | --no-create | -n)
    no_create=yes ;;

  -oldincludedir | --oldincludedir)
    ac_prev=oldincludedir ;;
  -oldincludedir=* | --oldincludedir=*)
    oldincludedir=$ac_optarg ;;

  -prefix | --prefix)
    ac_prev=prefix ;;
  -prefix=* | --prefix=*)
    prefix=$ac_optarg ;;

  -pdfdir | --pdfdir)
    ac_prev=pdfdir ;;
  -pdfdir=* | --pdfdir=*)
    pdfdir=$ac_optarg ;;

  -psdir | --psdir)
    ac_prev=psdir ;;
  -psdir=* | --psdir=*)
    psdir=$ac_optarg ;;

  -snapdir | --snapdir)
    ac_prev=snapdir ;;
  -snapdir=* | --snapdir=*)
    snapdir=$ac_optarg ;;

  -q | -quiet | --quiet | --q | -silent | --silent)
    silent=yes ;;

  -sbindir | --sbindir)
    ac_prev=sbindir ;;
  -sbindir=* | --sbindir=*)
    sbindir=$ac_optarg ;;

  -sharedstatedir | --sharedstatedir)
    ac_prev=sharedstatedir ;;
  -sharedstatedir=* | --sharedstatedir=*)
    sharedstatedir=$ac_optarg ;;

  -srcdir | --srcdir)
    ac_prev=srcdir ;;
  -srcdir=* | --srcdir=*)
    srcdir=$ac_optarg ;;

  -sysconfdir | --sysconfdir)
    ac_prev=sysconfdir ;;
  -sysconfdir=* | --sysconfdir=*)
    sysconfdir=$ac_optarg ;;

  *) { echo "error: unrecognized option: $1
Try \`$0 --help' for more information." >&2
   { (exit 1); exit 1; }; } ;;
  esac
  shift
done

# Now take action based on given options.

if test "$ac_init_help" = "long"; then

    cat <<_ACEOF
\`configure' configures $PACKAGE_STRING installation.

Usage: $0 [OPTION]...

Defaults for the options are specified in brackets.

Configuration:
  -h, --help              display this help and exit
  -V, --version           display version information and exit
  -q, --quiet, --silent   do not print configuration
  -n, --no-create         do not create output file
      --srcdir=DIR        find the sources in DIR [configure dir or \`..']

Installation directories:
  --prefix=PREFIX         install architecture-independent files in PREFIX
                          [$ac_default_prefix]
  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
                          [PREFIX]

By default, \`make install' will install all the files in
\`$ac_default_prefix/bin', \`$ac_default_prefix/lib' etc.  You can specify
an installation prefix other than \`$ac_default_prefix' using \`--prefix',
for instance \`--prefix=\$HOME'.

For better control, use the options below.

Fine tuning of the installation directories:
  --bindir=DIR            user executables [EPREFIX/bin]
  --sbindir=DIR           system admin executables [EPREFIX/sbin]
  --libexecdir=DIR        program executables [EPREFIX/libexec]
  --sysconfdir=DIR        read-only single-machine data [PREFIX/etc]
  --sharedstatedir=DIR    modifiable architecture-independent data [PREFIX/com]
  --localstatedir=DIR     modifiable single-machine data [PREFIX/var]
  --libdir=DIR            object code libraries [EPREFIX/lib]
  --includedir=DIR        C header files [PREFIX/include]
  --oldincludedir=DIR     C header files for non-gcc [/usr/include]
  --datarootdir=DIR       read-only arch.-independent data root [PREFIX/share]
  --datadir=DIR           read-only architecture-independent data [DATAROOTDIR]
  --infodir=DIR           info documentation [DATAROOTDIR/info]
  --localedir=DIR         locale-dependent data [DATAROOTDIR/locale]
  --mandir=DIR            man documentation [DATAROOTDIR/man]
  --docdir=DIR            documentation root [DATAROOTDIR/doc/$PACKAGE_TARNAME]
  --htmldir=DIR           html documentation [DOCDIR]
  --dvidir=DIR            dvi documentation [DOCDIR]
  --pdfdir=DIR            pdf documentation [DOCDIR]
  --psdir=DIR             ps documentation [DOCDIR]

  --snapdir=DIR           development snapshot destination [configure dir]
  --distdir=DIR           release distribution destination [configure dir]
_ACEOF

exit
fi

if $ac_init_version; then
    echo "$PACKAGE_NAME configure $PACKAGE_VERSION"
    exit
fi

# Check all directory arguments for consistency.
for ac_var in srcdir exec_prefix prefix bindir sbindir libexecdir \
    datarootdir datadir sysconfdir sharedstatedir localstatedir \
    includedir oldincludedir docdir infodir htmldir dvidir pdfdir \
    psdir libdir localedir mandir snapdir distdir
do
    eval ac_val=\$$ac_var
    # Assure trailing slashes.
    case $ac_val in
	*[}/] ) ;;
	* )
	ac_val="$ac_val""/"
	eval $ac_var=\$ac_val;;
    esac
    # Be sure to have absolute directory names.
    case $ac_val in
	[\\/$]* | ?:[\\/]* ) continue;;
	* )
	    case $ac_var in
		*prefix | *srcdir | *snapdir | *distdir) continue;;
	    esac;;
    esac
    { echo "error: expected an absolute directory name for --$ac_var: $ac_val" >&2
	{ (exit 1); exit 1; }; }
done

if test "$no_create" != yes; then
    echo "#! /bin/cat
# Generated by configure for $PACKAGE_NAME $PACKAGE_VERSION.
# This file ($CONFIG_STATUS) is included by the ($PACKAGE_TARNAME) Makefile.
" > $CONFIG_STATUS
    for ac_var in $ac_subst_vars
    do
	eval ac_val=\$$ac_var
	echo "$ac_var=$ac_val" >> $CONFIG_STATUS
    done
    chmod +x $CONFIG_STATUS
    if test "$silent" != yes; then cat $CONFIG_STATUS; fi
else
    if test "$silent" != yes; then
	echo "This is the $CONFIG_STATUS file which would have been created:
# Generated by configure for $PACKAGE_NAME $PACKAGE_VERSION.
# This file is included by the Makefile.
"
	for ac_var in $ac_subst_vars
	do
	    eval ac_val=\$$ac_var
	    echo "$ac_var=$ac_val"
	done
    fi
fi
